All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
stan::partials_return_type< T1, T2, T3, T4, T5, T6 > Struct Template Reference

`#include <partials_return_type.hpp>`

## Public Types

typedef
boost::math::tools::promote_args
< typename partials_type
< typename scalar_type< T1 >
::type >::type, typename
partials_type< typename
scalar_type< T2 >::type >
::type, typename partials_type
< typename scalar_type< T3 >
::type >::type, typename
partials_type< typename
scalar_type< T4 >::type >
::type, typename partials_type
< typename scalar_type< T5 >
::type >::type, typename
partials_type< typename
scalar_type< T6 >::type >
::type >::type

type

## Detailed Description

### template<typename T1, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>
struct stan::partials_return_type< T1, T2, T3, T4, T5, T6 >

Definition at line 16 of file partials_return_type.hpp.

## Member Typedef Documentation

template<typename T1, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

typedef boost::math::tools::promote_args<typename partials_type<typename scalar_type<T1>::type>::type, typename partials_type<typename scalar_type<T2>::type>::type, typename partials_type<typename scalar_type<T3>::type>::type, typename partials_type<typename scalar_type<T4>::type>::type, typename partials_type<typename scalar_type<T5>::type>::type, typename partials_type<typename scalar_type<T6>::type>::type>::type stan::partials_return_type< T1, T2, T3, T4, T5, T6 >::type

Definition at line 26 of file partials_return_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/partials_return_type.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.